Draft: Circonferenza

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Circle and the translation is 12% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg Pagina precedente: Draft Fillet.svg Raccordo
Pagina successiva: Arco Draft Arc.svg Arrow-right.svg

Draft Circle.svg Cerchio

Posizione nel menu
Draft → Cerchio
Ambiente
Draft, Architettura
Avvio veloce
C I
Introdotto nella versione
-
Vedere anche
Arco, Ellisse
Macro CirclePlus

Descrizione

Crea un cerchio nel piano di lavoro. Si può definire il cerchio inserendo due punti, il centro, il raggio, oppure selezionando le tangenti, oppure con qualsiasi combinazione di questi elementi. Il cerchio assume il tipo di linea e il colore impostati in precedenza nella barra di Draft.

Questo strumento funziona allo stesso modo dello strumento Arco, tranne per il fatto che crea una circonferenza completa. Per disegnare un'ellisse usare Ellisse.

Draft Circle example.jpg

Cerchio definito da due punti

Utilizzo

See also: Draft Tray, Draft Snap and Draft Constrain.

  1. Premere il pulsante Draft Circle.svg Cerchio, o premere i tasti C e I
  2. Selezionare un primo punto nella vista 3D per stabilire il centro, oppure digitare le sue coordinate e poi premere il pulsante Draft AddPoint.svg Inserisci punto
  3. Selezionare un secondo punto nella vista 3D, o introdurre il valore del raggio.

Options

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

Opzioni

  • L'uso principale dello strumento cerchio è selezionando due punti, il centro e un punto sulla circonferenza.
    • Premendo Alt, si può selezionare una tangente invece di selezionare un punto. È quindi possibile costruire diversi tipi di cerchi selezionando una, due o tre tangenti.
  • Per inserire le coordinate manualmente, è sufficiente inserire i numeri, quindi premere Invio per ciascun componente X, Y e Z. È possibile premere il pulsante Draft AddPoint.svg Inserisci punto quando si hanno i valori desiderati per inserire il punto.
  • Premere il tasto T oppure fare clic sulla casella di controllo per attivare la modalità "continua". Se la modalità continua è attiva, lo strumento Cerchio si riavvia dopo aver terminato il cerchio in costruzione, e consente di disegnare un nuovo cerchio senza premere nuovamente il pulsante dello strumento.
  • Premere il tasto L oppure fare clic sulla casella di controllo per attivare la modalità riempito. Se la modalità di riempimento è attiva, il cerchio crea una faccia piena (DatiMake Face true); in caso contrario, il cerchio non crea una faccia (DatiMake Face false).
  • Tenere premuto Ctrl mentre si disegna per forzare l'aggancio del proprio punto alla posizione di aggancio più vicina, indipendentemente dalla distanza.
  • Tenere premuto Maiusc mentre si disegna per vincolare il prossimo punto in orizzontale o in verticale rispetto all'ultimo.
  • Premere il tasto Esc o il pulsante Chiudi per interrompere il comando corrente.

Notes

Il cerchio può essere modificato facendo doppio clic sull'elemento nella vista ad albero o premendo il pulsante Draft Edit.svg Modifica. Quindi si può spostare il il centro e il raggio in una nuova posizione.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates and radii: Edit → Preferences... → General → Units → Units settings → Number of decimals.
  • To change the initial value of filled mode: Edit → Preferences... → Draft → General settings → Draft tools options → Fill objects with faces whenever possible. Changing the filled mode in a task panel will override this preference for the current FreeCAD session.
  • If the Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available option is checked, the command will create a Part Circle instead of a Draft Circle.

Properties

See also: Property editor.

A Draft Circle object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:

Data

Draft

Dati

  • DatiFirst Angle: specifica l'angolo iniziale del cerchio; normalmente 0°.
  • DatiLast Angle: specifica l'angolo finale del cerchio; normalmente 0°.
  • DatiRadius: specifica il raggio del cerchio.
  • DatiMake Face: specifica se il Cerchio crea una faccia o no. Se è true viene creata una faccia, altrimenti solo la circonferenza è considerata parte dell'oggetto. Questa proprietà funziona solo se la forma è una circonferenza completa.
Per essere un cerchio completo DatiFirst Angle e DatiLast Angle devono avere lo stesso valore; altrimenti, viene visualizzato un Arco. I valori 0° e 360° non sono considerati uguali, quindi se si utilizzano questi due valori, il cerchio non forma una faccia.

View

Draft

Vista

  • VistaPattern: specifica un tipo di Campitura con cui riempire la faccia del cerchio. Questa proprietà funziona solo se DatiMake Face è true, e se VistaDisplay Mode è "Flat Lines".
  • VistaPattern Size: specifica la dimensione della Campitura.

Scripting

Lo strumento Cerchio può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

circle = make_circle(radius, placement=None, face=None, startangle=None, endangle=None, support=None)
circle = make_circle(Part.Edge, placement=None, face=None, startangle=None, endangle=None, support=None)
  • Crea un oggetto Circle dal dato radius in millimetri.
    • radius può anche essere un Part.Edge, di cui l'attributo Curve deve essere un Part.Circle.
  • Se viene dato un placement esso viene usato; altrimenti la forma viene creata all'origine.
  • Se face è True e il cerchio è chiuso, diventa una faccia e appare riempita.
  • Se startangle e endangle sono dati in gradi e hanno valori diversi, sono usati e l'oggetto appare come un Arco.

Esempio:

import FreeCAD as App
import Draft

doc = App.newDocument()

circle1 = Draft.make_circle(200)

zaxis = App.Vector(0, 0, 1)
p2 = App.Vector(1000, 1000, 0)
place2 = App.Placement(p2, App.Rotation(zaxis, 0))
circle2 = Draft.make_circle(500, placement=place2)

p3 = App.Vector(-1000, -1000, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 0))
circle3 = Draft.make_circle(750, placement=place3)

doc.recompute()


Arrow-left.svg Pagina precedente: Draft Fillet.svg Raccordo
Pagina successiva: Arco Draft Arc.svg Arrow-right.svg